Create Order
curl --request POST \
--url https://synthesis.trade/api/v1/wallet/sol/{wallet_id}/order \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"token_id": "<string>",
"side": "<string>",
"amount": "<string>",
"slippage": 123,
"prediction_slippage": 123
}
'import requests
url = "https://synthesis.trade/api/v1/wallet/sol/{wallet_id}/order"
payload = {
"token_id": "<string>",
"side": "<string>",
"amount": "<string>",
"slippage": 123,
"prediction_slippage": 123
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
token_id: '<string>',
side: '<string>',
amount: '<string>',
slippage: 123,
prediction_slippage: 123
})
};
fetch('https://synthesis.trade/api/v1/wallet/sol/{wallet_id}/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"response": {
"order_id": "d4e5f6a7-b8c9-0123-def0-123456789abc",
"token_id": "BRjpCHtyQLeSRWyE1yTdBQbhLkny5oEnveRijBjRoiA",
"side": "BUY",
"type": "MARKET",
"time_in_force": "FOK",
"amount": "50.000",
"shares": "86.206",
"filled": "86.206",
"price": "0.580",
"fee": {},
"units": "USDC",
"status": "FILLED",
"created_at": "2026-01-01T00:00:00",
"updated_at": "2026-01-01T00:00:00"
}
}{
"success": false,
"response": "Wallet verification not complete"
}Solana
Create Order
Create a Kalshi order for a Solana wallet.
Create Order
Authorizations
AccountApiKeyAccountSession
Account secret API key.
Path Parameters
Body
application/json
BUY or SELL.
Order amount as string or number.
Optional swap slippage in basis points. If provided, it must be a non-negative integer; otherwise it uses auto.
Optional prediction market slippage in basis points. If provided, it must be a non-negative integer.
Response
Solana order created
⌘I